| Home | Libraries | People | FAQ | More

## Class template dst_day_calc_rule

boost::date_time::dst_day_calc_rule —

Defines base interface for calculating start and end date of daylight savings.

## Synopsis

    template<typename date_type>
    class dst_day_calc_rule {
    public:
      // types
      typedef date_type::year_type year_type;

      // construct/copy/destruct
      ~dst_day_calc_rule();

      // public member functions
      virtual date_type start_day(year_type) const;
      virtual date_type end_day(year_type) const;
    };

## Description

### `dst_day_calc_rule` construct/copy/destruct

1.     ~dst_day_calc_rule();

### `dst_day_calc_rule` public member functions

1.     virtual date_type start_day(year_type y) const;

2.     virtual date_type end_day(year_type y) const;

| Copyright © 2001-2004 CrystalClear Software, Inc